.dropdown {
  position: relative;
  display: inline-block;
}

.ddButton {
  display: inline-block;
  cursor: pointer;
  white-space: nowrap;

  font-size: 1rem;
  font-weight: bold;
  color: #ffffff;
  background-color: #3cb0ca;
  border-radius: 10px;
  border: none;
  padding: 10px 30px 10px 20px;
  box-shadow: 2px 2px 4px #c4c4c4;
  font-family: NovaSlim, sans-serif;
  transition: background-color 0.05s linear;

  &:hover {
    box-shadow: none;
    background-color: #ddd;
    color: black;
  }
}

.ddButton:after {
  content: "";
  position: absolute;
  top: 35%;
  right: 10px;
  transform: translateY(-50%);
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #ffffff;
}

.ddButton:hover::after {
  background-color: #eeeeee;
  border-top: 5px solid black;
}

.ddMenu {
  z-index: 3;
  position: absolute;
  top: 70%;
  right: 0;
  border: 1px solid #ccc;
  border-radius: 4px;
  padding: 0;
  margin: 2px 0 0 0;
  box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.1);
  background-color: #ffffff;
  list-style-type: none;

  li {
    padding: 10px 20px;
    cursor: pointer;
    white-space: nowrap;
  }

  li:hover {
    background-color: #f6f6f6;
  }

  li a {
    display: block;
    text-decoration: none;
    color: black;
    margin: -10px -20px;
    padding: 10px 20px;
  }

  li.divider {
    padding: 0;
    border-bottom: 1px solid #cccccc;
  }
}

.ddInput {
  display: none;
}

.ddInput + .ddMenu {
  display: none;
}

.ddInput:checked + .ddMenu {
  display: block;
}
